Subject: RE: [Sip] new I-D on recovery of UA failures

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 1 Aug 2001 03:52:14 -0400

> -----Original Message-----
> From: Vijay Gurbani [mailto:[email-masked]]
> Sent: Monday, July 16, 2001 5:51 PM
> To: Jonathan Rosenberg
> Cc: [email-masked]'
> Subject: Re: [Sip] new I-D on recovery of UA failures
> 
> 
> Jonathan Rosenberg wrote:
> > 
> > Folks,
> > 
> > I've submitted an I-D to the archives which discusses the problem of
> > "crash-and-restart" recovery in a SIP UA. It discusses broader, more
> > interesting applications of the recovery mechanism, and details the
> > requirements on how to do it effectively.
> 
> Jonathan:
> 
> Quick question: in Section 4, when UA3 cannot reconstitute a 
> call (after 
> UA2, the original UA, has failed), why does UA1 send a BYE?  
> Does sending a 
> BYE help at all?  If UA3 could not reconstitute the call, it 
> will probably 
> not be able to process the BYE as well.

It ties back into another discussion we've been having. In general, if A
sends a re-INVITE to B and gets a 481, should it just consider the call
down, or send a BYE? The consensus on the list was to send a BYE. There were
several reasons for that:

1. we have a general rule that a non-2xx response to a re-invite does not
mean the call is down, just that the re-invite failed. We don't want to
special case 481.

2. There may be call stateful proxies that would like to see the BYE. 

3. We should only have one way of ending a call once established - sending a
BYE.

-Jonathan R.

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip